Subject: Re: bug#17392: 24.3.90; cursor blinks faster and faster

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 May 2014 22:17:50 +0300

> Date: Thu, 15 May 2014 21:11:08 +0200
> From: Lennart Borgman <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On May 15, 2014 7:04 PM, "Eli Zaretskii" <[email-masked]> wrote:
> >
> > > > That cannot be the same problem we see now, because the code that
> > > > produces a blinking cursor, and in particular its timer functions, was
> > > > thoroughly rewritten during the last year.  The idle timer that seems
> > > > to be the source of the problem now did not exist back then.
> > > >
> > > > So you are talking about a totally unrelated issue.
> > >
> > > Yes, if it is a logical problem.
> >
> > As I said, the code was thoroughly rewritten, so the logic has changed
> > as well.
> 
> So you are suggesting the code now avoids race conditions?

How can there be race conditions when all the relevant code runs in a
single thread?

> I would be surprised since I guess it might be impossible without checking
> system calls.

What system calls?